Debian Bug report logs - #57771
Various .config files lock

version graph

Package: debconf; Maintainer for debconf is Debconf Developers <debconf-devel@lists.alioth.debian.org>; Source for debconf is src:debconf.

Reported by: Mike Goldman <whig@debian.org>

Date: Fri, 11 Feb 2000 00:33:00 UTC

Severity: important

Merged with 56518

Fixed in version debconf/0.2.91

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#57771; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Mike Goldman <whig@debian.org>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Goldman <whig@debian.org>
To: submit@bugs.debian.org
Subject: Various .config files lock
Date: Fri, 11 Feb 2000 00:20:06 +0000
Package: debconf
Version: 0.2.80.3
Severity: grave

On attempting to install console-data or gnuplot, the install locks
up in the debconf (Dialog frontend), and has to be Ctrl-C'ed to
exit.  Please see also Bug#56518, which should probably be merged
with this one.




Severity set to `important'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#57771; Package debconf. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #12 received at 57771@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: control@bugs.debian.org, 56518@bugs.debian.org, 57771@bugs.debian.org, dialog@packages.debian.org
Subject: dialog locks up in a weird infitinte loop if called from debconf
Date: Sun, 13 Feb 2000 01:06:52 -0800
severity 56518 important
reassign 57771 dialog
reassign 56518 dialog
merge 56518 57771
thanks

To reproduce this bug, run:

dpkg --purge gnuplot ; FORCE_DIALOG=1 apt-get install gnuplot

Gnuplot will start to install, debconf will cause dialog to run to display a
question, and dialog will spin, not accepting keypresses. Stracing the
dialog process shows it's in a tight loop:

open("/tmp/.lock_exitKFlznn", O_RDONLY) = -1 ENOENT (No such file or directory)
read(0, "", 1)                          = 0
open("/tmp/.lock_tailbguyShYi", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/tmp/.lock_exitKFlznn", O_RDONLY) = -1 ENOENT (No such file or directory)
read(0, "", 1)                          = 0
open("/tmp/.lock_tailbguyShYi", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/tmp/.lock_exitKFlznn", O_RDONLY) = -1 ENOENT (No such file or directory)
read(0, "", 1)

The bug does not seem to reproduce if dialog is run with the same parameters
by hand, it only seems to happen if debconf calls it.

I suspect that this is some brokennes of the new version of dialog that was
added to Debian the day we froze(!!). I did extensive testing of debconf and
dialog 2 months ago and it worked fine.

Since i have worked around this bug by making debconf refuse to use dialog
unless forced, its severity might be downgradable to "normal". Up to you.

-- 
see shy jo


Bug reassigned from package `debconf' to `dialog'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 56518 57771. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dialog' to `dialog'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `dialog' to `dialog'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 56518 57771. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#57771; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #31 received at 57771@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Joey Hess <joeyh@debian.org>
Cc: 57771@bugs.debian.org
Subject: Re: dialog locks up in a weird infitinte loop if called from debconf
Date: Mon, 14 Feb 2000 12:51:25 +0100 (CET)
On Sun, 13 Feb 2000, Joey Hess wrote:

> To reproduce this bug, run:
> 
> dpkg --purge gnuplot ; FORCE_DIALOG=1 apt-get install gnuplot

Ok, I can reproduce it.

However, I can't if I do this:

dpkg --purge gnuplot
export FORCE_DIALOG=1
dpkg -i gnuplot_3.7.1p1-4.deb

Any ideas?

If this is a dialog bug, I would like to have a test case not involving
debconf before forwarding it upstream.

-- 
 "5e06cf3d7fc238cfade6fd4dce7d45c2" (a truly random sig)



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#57771; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #36 received at 57771@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Joey Hess <joeyh@debian.org>
Cc: 57771@bugs.debian.org
Subject: Re: dialog locks up in a weird infitinte loop if called from debconf
Date: Mon, 14 Feb 2000 13:52:00 +0100 (CET)
On Sun, 13 Feb 2000, Joey Hess wrote:

> The bug does not seem to reproduce if dialog is run with the same parameters
> by hand, it only seems to happen if debconf calls it.

I need a way to reproduce it without debconf.

> I suspect that this is some brokennes of the new version of dialog that was
> added to Debian the day we froze(!!). I did extensive testing of debconf and
> dialog 2 months ago and it worked fine.

I have just tested current debconf + old dialog and it also fails,
so this brokenness was not added to Debian the day we froze.

I think this is either an old dialog bug (not discovered so far)
or a debconf bug.

> Since i have worked around this bug by making debconf refuse to use dialog
> unless forced, its severity might be downgradable to "normal". Up to you.

I think we should fix this bug before release so I'll keep the severity.

But I need a test case not involving debconf...

-- 
 "d1a607dc26f9a3fd24cc32d900d1a72c" (a truly random sig)



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@ctv.es>:
Bug#57771; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@ctv.es>. Full text and rfc822 format available.

Message #41 received at 57771@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Santiago Vila <sanvila@unex.es>
Cc: 57771@bugs.debian.org
Subject: Re: dialog locks up in a weird infitinte loop if called from debconf
Date: Mon, 14 Feb 2000 10:34:40 -0800
Santiago Vila wrote:
> dpkg --purge gnuplot
> export FORCE_DIALOG=1
> dpkg -i gnuplot_3.7.1p1-4.deb
> 
> Any ideas?
> 
> If this is a dialog bug, I would like to have a test case not involving
> debconf before forwarding it upstream.

it seems that it locks up iff it is called by dpkg-preconfigure, iff
dpkg-preconfigure is called by apt. 

I'm beginning to wonder if apt could be blocking some signals or something,
to contribute to the problem. Perhaps it is a changed apt, not a changed
dialog, that is leading to the bug.

-- 
see shy jo


Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mike Goldman <whig@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #46 received at 56518-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 56518-close@bugs.debian.org
Subject: Bug#56518: fixed in debconf 0.2.80.6
Date: 15 Feb 2000 10:15:07 -0000
We believe that the bug you reported is fixed in the latest version of
debconf, which has been installed in the Debian FTP archive:
debconf_0.2.80.6.dsc
  to dists/potato/main/source/admin/debconf_0.2.80.6.dsc
  replacing debconf_0.2.80.5.dsc
debconf_0.2.80.6_all.deb
  to dists/potato/main/binary-all/admin/debconf_0.2.80.6.deb
  replacing debconf_0.2.80.5.deb
debconf-tiny_0.2.80.6_all.deb
  to dists/potato/main/binary-all/admin/debconf-tiny_0.2.80.6.deb
  replacing debconf-tiny_0.2.80.5.deb
debconf_0.2.80.6.tar.gz
  to dists/potato/main/source/admin/debconf_0.2.80.6.tar.gz
  replacing debconf_0.2.80.5.tar.gz

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 56518@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Mon, 14 Feb 2000 11:43:52 -0800
Source: debconf
Binary: debconf debconf-tiny
Architecture: source all
Version: 0.2.80.6
Distribution: frozen
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Description: 
 debconf    - Debian configuration management system
 debconf-tiny - Tiny subset of debconf for the base system
Closes: 56518 57771
Changes: 
 debconf (0.2.80.6) frozen; urgency=low
 .
   * dpkg-preconfigure: It turns out that the trick of reading from stdin
     until EOF, then reading more later only works if stdin is a tty. When it
     was running from apt, that wasn't so, and so it caused dialog to lock up,
     in a tight loop, unable to read keypresses from stdin. The fix is
     pretty simple; just open /dev/tty and connect STDIN to it after reading
     the filelist from apt. Closes: #56518, #57771 (important bugs).
Files: 
 b9be6bc063b5c4a5fc2455740cf85048 617 admin optional debconf_0.2.80.6.dsc
 e597aa0146ba0376cbf8723ac65bbf65 144873 admin optional debconf_0.2.80.6.tar.gz
 39c51c1240ee0e3f72c862a318119c31 127374 admin optional debconf_0.2.80.6_all.deb
 f56085a9ca328f797e9db7b1e495fc53 21010 admin optional debconf-tiny_0.2.80.6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.0 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE4qFxL2tp5zXiKP0wRAlplAKCVVb3PSI7HrSwb8+gUxtPECy3rpACfY4C4
esOeNKnaXpz6sS7BlSeLzWo=
=ie2s
-----END PGP SIGNATURE-----



Message #47 received at 57771-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 57771-close@bugs.debian.org
Subject: Bug#57771: fixed in debconf 0.2.80.6
Date: 15 Feb 2000 10:15:07 -0000
We believe that the bug you reported is fixed in the latest version of
debconf, which has been installed in the Debian FTP archive:
debconf_0.2.80.6.dsc
  to dists/potato/main/source/admin/debconf_0.2.80.6.dsc
  replacing debconf_0.2.80.5.dsc
debconf_0.2.80.6_all.deb
  to dists/potato/main/binary-all/admin/debconf_0.2.80.6.deb
  replacing debconf_0.2.80.5.deb
debconf-tiny_0.2.80.6_all.deb
  to dists/potato/main/binary-all/admin/debconf-tiny_0.2.80.6.deb
  replacing debconf-tiny_0.2.80.5.deb
debconf_0.2.80.6.tar.gz
  to dists/potato/main/source/admin/debconf_0.2.80.6.tar.gz
  replacing debconf_0.2.80.5.tar.gz

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 57771@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Mon, 14 Feb 2000 11:43:52 -0800
Source: debconf
Binary: debconf debconf-tiny
Architecture: source all
Version: 0.2.80.6
Distribution: frozen
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Description: 
 debconf    - Debian configuration management system
 debconf-tiny - Tiny subset of debconf for the base system
Closes: 56518 57771
Changes: 
 debconf (0.2.80.6) frozen; urgency=low
 .
   * dpkg-preconfigure: It turns out that the trick of reading from stdin
     until EOF, then reading more later only works if stdin is a tty. When it
     was running from apt, that wasn't so, and so it caused dialog to lock up,
     in a tight loop, unable to read keypresses from stdin. The fix is
     pretty simple; just open /dev/tty and connect STDIN to it after reading
     the filelist from apt. Closes: #56518, #57771 (important bugs).
Files: 
 b9be6bc063b5c4a5fc2455740cf85048 617 admin optional debconf_0.2.80.6.dsc
 e597aa0146ba0376cbf8723ac65bbf65 144873 admin optional debconf_0.2.80.6.tar.gz
 39c51c1240ee0e3f72c862a318119c31 127374 admin optional debconf_0.2.80.6_all.deb
 f56085a9ca328f797e9db7b1e495fc53 21010 admin optional debconf-tiny_0.2.80.6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.0 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE4qFxL2tp5zXiKP0wRAlplAKCVVb3PSI7HrSwb8+gUxtPECy3rpACfY4C4
esOeNKnaXpz6sS7BlSeLzWo=
=ie2s
-----END PGP SIGNATURE-----



Bug reassigned from package `dialog' to `debconf'. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Message #50 received at 57771-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 57771-close@bugs.debian.org
Subject: Bug#57771: fixed in debconf 0.2.91
Date: 15 Feb 2000 19:52:54 -0000
We believe that the bug you reported is fixed in the latest version of
debconf, which has been installed in the Debian FTP archive:
debconf_0.2.91.dsc
  to dists/woody/main/source/admin/debconf_0.2.91.dsc
  replacing debconf_0.2.90.dsc
debconf_0.2.91_all.deb
  to dists/woody/main/binary-all/admin/debconf_0.2.91.deb
  replacing debconf_0.2.90.deb
debconf-tiny_0.2.91_all.deb
  to dists/woody/main/binary-all/admin/debconf-tiny_0.2.91.deb
  replacing debconf-tiny_0.2.90.deb
debconf_0.2.91.tar.gz
  to dists/woody/main/source/admin/debconf_0.2.91.tar.gz
  replacing debconf_0.2.90.tar.gz

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 57771@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Mon, 14 Feb 2000 11:52:24 -0800
Source: debconf
Binary: debconf debconf-tiny
Architecture: source all
Version: 0.2.91
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Description: 
 debconf    - Debian configuration management system
 debconf-tiny - Tiny subset of debconf for the base system
Closes: 56518 57771
Changes: 
 debconf (0.2.91) unstable; urgency=low
 .
   * dpkg-preconfigure: It turns out that the trick of reading from stdin
     until EOF, then reading more later only works if stdin is a tty. When it
     was running from apt, that wasn't so, and so it caused dialog to lock up,
     in a tight loop, unable to read keypresses from stdin. The fix is
     pretty simple; just open /dev/tty and connect STDIN to it after reading
     the filelist from apt. Closes: #56518, #57771 (important bugs).
   * Disabled dialog exclusion that was added in the last release.
Files: 
 f83e6cfa6b70929324fd66a4b62f005e 613 admin optional debconf_0.2.91.dsc
 d9659d77c249ed509b98355cb73537ac 107694 admin optional debconf_0.2.91.tar.gz
 f723c77976efa5de74cfd52e7d5c6bfa 128516 admin optional debconf_0.2.91_all.deb
 ab6ee1e7d8b9796a64202f054ccaef50 21182 admin optional debconf-tiny_0.2.91_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.0 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE4qF4+2tp5zXiKP0wRAlvAAKDGxFUgDD9DtsTw5jEdtco9+FzPZwCgu41I
yc1XzPsp84FCaJ3rz1oFtPg=
=4r/d
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:27:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.